View Issue Details

IDProjectCategoryView StatusLast Update
03738Development Otherpublic2009-11-18 15:09
Reporteruser372Assigned Tolemeur  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.86 
Target Version1.87Fixed in Version1.87 
Summary03738: Update FCKEditor to v2.6.5
Description

I just want to inform you, that FCKEditor 2.6.5 has been released – I think it’s mainly a security release:

http://ckeditor.com/whatsnew

New Features and Improvements:

* Introduced the Spell Check As You Type (SCAYT) spell checking option.

Fixed Bugs:

* Security release, upgrade is highly recommended (fixed security issues in ASP and ColdFusion scripts).
* [#2856] Fixed problem with inches in paste dialog.
* [#3120] # (pound sign) is not correctly escaped in file urls.
* [#2915] About plugin shows misleading user language.
* [#2821] Configuration items that used floating point numbers were parsed as integers.
* [#2064] The asp connector didn't work correctly in windows 2000 servers.
* [03429] Fixed problem in IE8 with XHTML doctype. Thanks to duncansimey.
* [03446] Fixed self-closed <option> in the table cell dialog.
* [#3181] Node selection could raise an error in IE8.
* [#2156] After calling GetData() the style removal operations didn't work in IE. Thanks to Compendium Blogware.
* [#3427] Improved compatibility of Document properties dialog with Eclipse.
* Language file updates for the following languages:
      o [#2908] Czech
      o [#2849] Lithuanian
      o [#3636] Polish
      o [03741] Korean
      o [#2861] Slovenian
* [03439] IgnoreEmptyParagraphValue had no effect if ProcessHTMLEntities is false.
* [03880] Fixed some minor logical and typing mistakes in fckdomrange_ie.js.
* [#2689] If a custom connector tried to use the "url" attribute for files it was always reencoded.
* [#1537] Fixed extra <p> tag added before pasted contents from Paste From Word dialog.
* [#2874] Fixed wrong position of caption tag in tables with table headers.
* [03818] Fixed layout error in text and background color popups when more colors button is disabled.
* [#3481] Fixed an issue in WebKit where paste actions inside table cells may leak outside of the table cell.
* [03677] Fixed JavaScript error when trying to create link for images inside floating div containers.
* [03925] Removed obsolete parentWindow reference from FCKDialog.OpenDialog().
* [#2936] Added protection in the PHP upload if the destination folder is placed at the root and doesn't exit.
* [04357] Avoid problem in the paste dialog if IIS is set to process HTML files as Asp.
* [#2201] Fixed a crash in IE in an object is selected (with handles) on unload of the editor.
* [#3053] Fixed problems with the height of the content area in Safari and Chrome.
TagsNo tags attached.

Activities

lemeur

lemeur

2009-10-26 22:00

developer   ~09863

updated in 7783.

Issue History

Date Modified Username Field Change
2009-10-05 12:42 user372 New Issue
2009-10-05 12:42 user372 Status new => assigned
2009-10-05 12:42 user372 Assigned To => lemeur
2009-10-05 12:46 user372 Product Version => 1.86
2009-10-05 12:46 user372 Target Version => 1,87
2009-10-26 22:00 lemeur Note Added: 09863
2009-10-26 22:00 lemeur Status assigned => resolved
2009-10-26 22:00 lemeur Fixed in Version => 1.87
2009-10-26 22:00 lemeur Resolution open => fixed
2009-11-18 15:09 c_schmitz Status resolved => closed